# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_Conic Class Reference

`#include <PGeom2d_Conic.hxx>`

Inheritance diagram for PGeom2d_Conic:

[legend]

## Public Member Functions

Standard_EXPORT void | Position (const gp_Ax22d &aPosition)
| Set the value of the field position with <aposition>. .
Standard_EXPORT gp_Ax22d | Position () const
| Returns the value of the field <position>. .
| PGeom2d_Conic (const Storage_stCONSTclCOM &a)
const gp_Ax22d & | _CSFDB_GetPGeom2d_Conicposition () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | PGeom2d_Conic ()
| Initializes the field(s) with default value(s). .
Standard_EXPORT | PGeom2d_Conic (const gp_Ax22d &aPosition)
| Initializes the field position with <aposition>. .

## Protected Attributes

gp_Ax22d | position

## Constructor & Destructor Documentation

PGeom2d_Conic::PGeom2d_Conic | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

Standard_EXPORT PGeom2d_Conic::PGeom2d_Conic | ( |  | ) | `[protected]`

Standard_EXPORT PGeom2d_Conic::PGeom2d_Conic | ( | const gp_Ax22d & | aPosition | ) | `[protected]`

## Member Function Documentation

const gp_Ax22d& PGeom2d_Conic::_CSFDB_GetPGeom2d_Conicposition | ( |  | ) | const`[inline]`

Standard_EXPORT const PGeom2d_Conic::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom2d_Curve. Reimplemented in PGeom2d_Circle, PGeom2d_Ellipse, PGeom2d_Hyperbola, and PGeom2d_Parabola.

Standard_EXPORT gp_Ax22d PGeom2d_Conic::Position | ( |  | ) | const

Standard_EXPORT void PGeom2d_Conic::Position | ( | const gp_Ax22d & | aPosition | ) |

## Field Documentation

gp_Ax22d PGeom2d_Conic::position `[protected]`

The documentation for this class was generated from the following file:

- PGeom2d_Conic.hxx